Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 997 - stty of 230400 and 460800 speeds not supported
Summary: stty of 230400 and 460800 speeds not supported
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sh-utils
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-30 19:03 UTC by steve
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-26 19:57:00 UTC


Attachments (Terms of Use)

Description steve 1999-01-30 19:03:56 UTC
The Linux kernels that shipped with RH 5.1 and 5.2
(2.0.34 and 2.0.36) support B230400 and B460800 in
the termbits.h file (included by #including the
termios.h file).  But stty doesn't support anything above
115200, and I'm sure the problem probably exists
in other packages as well.

But, since I went to the trouble of fixing it myself,
I thought I'd mail a patch to redhat.  It could save
you 10 minutes of work...

As soon as I know what bug number this is assigned, I'll
send email with the patch.


------- Email Received From  steve@dgii.com (Steve Wahl) 01/30/99 14:06 -------

Comment 1 Jay Turner 1999-03-26 19:57:59 UTC
thanks for the patch.  fixed.


Note You need to log in before you can comment on or make changes to this bug.